package be.maximvdw.ac;

import org.bukkit.ChatColor;

/**
 * ACStatus
 * 
 * A list with all the available statuses and their colors.
 * 
 * @project AutismChat
 * @version 02-2014
 * @category Chat Formatting
 * @author Maxim Van de Wynckel (Maximvdw)
 * @site http://www.mvdw-software.be/
 */
public enum ACStatus {
	RED(ChatColor.RED), WHITE(ChatColor.WHITE), GREEN(ChatColor.GREEN), NONE(
			ChatColor.WHITE);

	private ChatColor color; // Chat color

	/**
	 * Create a new chat status
	 * 
	 * @param color
	 *            Color
	 */
	ACStatus(ChatColor color) {
		this.color = color;
	}

	/**
	 * Get color
	 * 
	 * @return Color
	 */
	public ChatColor getColor() {
		return color;
	}

	/**
	 * Set color
	 * 
	 * @param color
	 *            Color
	 */
	public void setColor(ChatColor color) {
		this.color = color;
	}
}
