package be.maximvdw.ac.commands;

import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;

import be.maximvdw.ac.AutismChat;
import be.maximvdw.ac.lang.Messages;
import be.maximvdw.ac.ui.SendUnknown;
import be.maximvdw.ac.utils.Permissions;
import be.maximvdw.ac.utils.Permissions.Permission;

/**
 * @project AutismChat
 * @version 02-2014
 * @category Chat Formatting
 * @author Maxim Van de Wynckel (Maximvdw)
 * @site http://www.mvdw-software.be/
 */
public class AutismChatCommand implements CommandExecutor {
	AutismChat plugin = null; // Plugin instance

	/**
	 * Initialize the command
	 * 
	 * @param plugin
	 *            Plugin instance
	 */
	public AutismChatCommand(AutismChat plugin) {
		this.plugin = plugin;
	}

	/**
	 * Show help to sender
	 * 
	 * @param sender
	 *            Sender
	 */
	public static void showHelp(Object sender) {
		SendUnknown.toSender(
				"&3&m================&9&l AutismChat &3&m================",
				sender);
		SendUnknown.toSender("&7/white &f- Set your global status to white",
				sender);
		SendUnknown
				.toSender(
						"&7/white &8player &f- Set your player specific status to white",
						sender);
		SendUnknown.toSender("&7/green &f- Set your global status to green",
				sender);
		SendUnknown
				.toSender(
						"&7/green &8player &f- Set your player specific status to green",
						sender);
		SendUnknown
				.toSender("&7/red &f- Set your global status to red", sender);
		SendUnknown.toSender(
				"&7/red &8player &f- Set your player specific status to red",
				sender);
		SendUnknown.toSender(
				"&7/pvp (<on|off>)&f- Toggle your global pvp status", sender);
		SendUnknown
				.toSender(
						"&7/pvp &8player (<on|off>)&f- Toggle your player specific pvp status",
						sender);
		SendUnknown.toSender(
				"&7/globalchat (<on|off>)&f- Toggle your global chat", sender);
		SendUnknown.toSender("&7/msg &8player &f- Send a private message",
				sender);
		SendUnknown.toSender("&7/r &f- Reply to a previous private message",
				sender);
		SendUnknown
				.toSender(
						"&7/special clear [&8player|&7all] &f- Clear specific settings",
						sender);
		SendUnknown.toSender(
				"&7/special list &f- List player specific settings", sender);
		SendUnknown.toSender("&7/loginreset <color>&f- Set the login status",
				sender);
		SendUnknown.toSender(
				"&7/loginreset <on|off>&f- Turn the login reset on or off",
				sender);
		SendUnknown.toSender("&4/autismchat reload &c- Reload the plugin",
				sender);
	}

	/**
	 * On command
	 */
	@Override
	public boolean onCommand(CommandSender sender, Command cmd, String label,
			String[] args) {
		if (args.length == 1) {
			if (args[0].equalsIgnoreCase("reload")) {
				if (!Permissions.hasPermissions(Permission.Reload, sender)) {
					SendUnknown.toSender(Messages.errNoPerm, sender);
					return false;
				}

				plugin.saveACPlayers(); // Save players
				plugin.loadConfig(); // Reload config
				SendUnknown.toSender(AutismChat.prefixGood
						+ "&7Configuration Reloaded!", sender);
			} else {
				// Show help
				showHelp(sender);
			}
		} else {
			// Show help
			showHelp(sender);
		}
		return false;
	}
}
