package be.maximvdw.ac.commands;

import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

import be.maximvdw.ac.ACPlayer;
import be.maximvdw.ac.AutismChat;
import be.maximvdw.ac.chat.PlayerMessageEvent;
import be.maximvdw.ac.lang.Messages;
import be.maximvdw.ac.ui.SendConsole;
import be.maximvdw.ac.ui.SendGame;
import be.maximvdw.ac.utils.Permissions;
import be.maximvdw.ac.utils.Permissions.Permission;

/**
 * @project AutismChat
 * @version 02-2014
 * @category Chat Formatting
 * @author Maxim Van de Wynckel (Maximvdw)
 * @site http://www.mvdw-software.be/
 */
public class ReplyCommand implements CommandExecutor {
	AutismChat plugin = null; // Plugin instance

	/**
	 * Initialize the command
	 * 
	 * @param plugin
	 *            Plugin instance
	 */
	public ReplyCommand(AutismChat plugin) {
		this.plugin = plugin;
	}

	@Override
	public boolean onCommand(CommandSender sender, Command cmd, String label,
			String[] args) {
		Player player = null; // Player
		if (sender instanceof Player) {
			player = (Player) sender; // Cast to player
		}

		// Check if player
		if (player == null) {
			SendConsole.warning("This command can only be used ingame!");
			return false; // Return
		}

		// Check if has permisisons
		if (!Permissions.hasPermissions(Permission.Message, sender)) {
			SendGame.toPlayer(Messages.errNoPerm, player);
			return false;
		}

		// Check if arguments
		ACPlayer acPlayer = plugin.getACPlayer(player);
		Player target = acPlayer.getLastPMPlayer(); // Get last pm
		if (target == null) {
			SendGame.toPlayer(AutismChat.prefixBad + Messages.replyNoMessages,
					player);
			return false;
		}
		String message = args[0];
		for (int i = 1; i < args.length; i++) {
			message += " " + args[i];
		}
		PlayerMessageEvent event = new PlayerMessageEvent(player, target,
				message);
		plugin.getServer().getPluginManager().callEvent(event);
		return true;
	}

}
