package be.maximvdw.ac.listeners;

import org.bukkit.entity.LivingEntity;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.EntityDamageByEntityEvent;

import be.maximvdw.ac.ACPlayer;
import be.maximvdw.ac.AutismChat;

/**
 * EntityListener
 * 
 * This listener will be used to check the PVP between players.
 * If the players both allow pvp they can attack eachother.
 * 
 * @project AutismChat
 * @version 02-2014
 * @category Chat Formatting
 * @author Maxim Van de Wynckel (Maximvdw)
 * @site http://www.mvdw-software.be/
 */
public class EntityListener implements Listener {
	AutismChat plugin = null; // Plugin instance

	/**
	 * Initialize listener
	 * 
	 * @param plugin
	 *            Plugin instance
	 */
	public EntityListener(AutismChat plugin) {
		this.plugin = plugin;
	}

	/**
	 * On Entity damage by entity
	 * 
	 * @param event
	 *            EntityDamageByEntity Event
	 */
	@EventHandler
	public void onEntityDamage(EntityDamageByEntityEvent event) {
		LivingEntity entity = (LivingEntity) event.getEntity(); // Entity
		LivingEntity entityDamager = (LivingEntity) event.getDamager(); // Damager
		if (entity instanceof Player && entityDamager instanceof Player) {
			Player player = (Player) entity;
			Player damager = (Player) entityDamager;
			ACPlayer acPlayer = plugin.getACPlayer(player); // Get AC Player
			ACPlayer acDamager = plugin.getACPlayer(damager); // Get AC Player
			// Check if both player accept pvp
			if (!acPlayer.getPvp(damager) || !acDamager.getPvp(player)) {
				event.setCancelled(true);
			}
		}
	}
}
