package be.maximvdw.ac.ui;

import org.bukkit.Bukkit;
import org.bukkit.command.ConsoleCommandSender;
import org.bukkit.plugin.Plugin;

import be.maximvdw.ac.config.Configuration;
import be.maximvdw.ac.utils.ColorUtils;

/**
 * @project AutismChat
 * @version 02-2014
 * @category Chat Formatting
 * @author Maxim Van de Wynckel (Maximvdw)
 * @site http://www.mvdw-software.be/
 */
public class SendConsole {
	static boolean enableLogging = false; // Enable logging
	static String prefix = "[MVdW] "; // Message prefix
	static Plugin plugin = null; // Plugin instance

	/**
	 * Initialize the console logger
	 * 
	 * @param plugin
	 *            Plugin
	 */
	public SendConsole(Plugin plugin) {
		SendConsole.plugin = plugin;
		SendConsole.prefix = "[" + plugin.getName() + "] ";
	}

	/**
	 * Send a DEBUG message to the console
	 * 
	 * @param message
	 *            Debug message
	 */
	public static void debug(String message) {
		if (Configuration.debug)
			info(message);
	}

	/**
	 * Send a colored message to the console
	 * 
	 * @param message
	 *            Message
	 */
	public static void message(String message) {
		ConsoleCommandSender console = SendConsole.plugin.getServer()
				.getConsoleSender();
		console.sendMessage(message);
	}

	/**
	 * Send an INFO message to the console
	 * 
	 * @param message
	 *            Info message
	 */
	public static void info(String message) {
		message = ColorUtils.removeColors(message); // Remove colors
		Bukkit.getLogger().info(prefix + message);
	}

	/**
	 * Send an WARNING message to the console
	 * 
	 * @param message
	 *            Warning message
	 */
	public static void warning(String message) {
		message = ColorUtils.removeColors(message); // Remove colors
		Bukkit.getLogger().warning(prefix + message);
	}

	/**
	 * Send an SEVERE message to the console
	 * 
	 * @param message
	 *            Severe message
	 */
	public static void severe(String message) {
		message = ColorUtils.removeColors(message); // Remove colors
		Bukkit.getLogger().severe(prefix + message);
	}
}
