package be.maximvdw.ac.utils;

/**
 * @project AutismChat
 * @version 02-2014
 * @category Chat Formatting
 * @author Maxim Van de Wynckel (Maximvdw)
 * @site http://www.mvdw-software.be/
 */
public class ColorUtils {
	/**
	 * Convert string to colors
	 * 
	 * @param input
	 *            String
	 * @return Colored String
	 */
	public static String toColors(String input) {
		if (input == null) {
			return null;
		}
		return input.replaceAll("(&([a-fk-or0-9]))", "\u00A7$2");
	}

	/**
	 * Remove colors from string
	 * 
	 * @param input
	 *            String
	 * @return Cleared string
	 */
	public static String removeColors(String input) {
		if (input == null) {
			return null;
		}
		return input.replaceAll("(&([a-fk-or0-9]))", "");
	}
}
